/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import javax.servlet.jsp.JspTagException;


/**
 * <p>
 * This is an exception thrown in all cases where the breadcrumb trail tag cannot correctly parse, format and draw
 * bread crumb trail.
 * </p>
 *
 * <p>
 * <b>Changes in Version 2.0 :</b>
 *
 * <ol>
 * <li>
 * Changed constructors to be public (due to packaging requirements).
 * </li>
 * <li>
 * Added constructor with two parameters.
 * </li>
 * </ol>
 * </p>
 *
 * <p>
 * <b>Thread Safety: </b> This class is immutable and therefore thread safe.
 * </p>
 *
 * @author Pops, TCSDEVELOPER
 * @version 2.0
 *
 * @since 1.0
 */
public class BreadCrumbException extends JspTagException {
    /**
     * <p>
     * Creates a new instance of <code>BreadCrumbException</code> class with a detail error message.
     * </p>
     *
     * <p>
     * <b>Changes in Version 2.0 :</b> Changed constructor to be public (due to packaging requirements).
     * </p>
     *
     * @param message a detail error message describing the error.
     *
     * @since 1.0
     */
    public BreadCrumbException(String message) {
        super(message);
    }

    /**
     * <p>
     * Creates a new instance of <code>BreadCrumbException</code> class with a detail error message and the original
     * exception causing the error.
     * </p>
     *
     * @param message a detail error message describing the error.
     * @param cause an exception representing the cause of the error.
     *
     * @since 2.0
     */
    public BreadCrumbException(String message, Throwable cause) {
        super(message, cause);
    }
}
