/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail;

import com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery.HttpServletNodeDiscoveryTagUnitTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodediscovery.InlineTextNodeDiscoveryTagUnitTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter.HtmlAnchorNodeFormatterTagUnitTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.nodeformatter.TemplateNodeFormatterTagUnitTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.AbstractNodeMatcherUnitTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.DynamicPathDiscoveryUnitTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.NodePairUnitTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.XmlPathDiscoveryUnitTest;
import com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery.nodematchers.RegexNodeMatcherUnitTest;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;


/**
 * This test case aggregates all Unit test cases.
 *
 * @author TCSDEVELOPER
 * @version 2.0
 */
public class UnitTests extends TestCase {
    /**
     * Assembles and returns a test suite containing all unit tests.
     *
     * @return Test A non-null test suite.
     */
    public static Test suite() {
        final TestSuite suite = new TestSuite();

        suite.addTestSuite(BreadCrumbNodeUnitTest.class);
        suite.addTestSuite(BreadCrumbExceptionUnitTest.class);
        suite.addTestSuite(BreadCrumbTrailTagUnitTest.class);
        suite.addTestSuite(AbstractNodeDiscoveryUnitTest.class);
        suite.addTestSuite(BreadCrumbTrailTagExtraInfoUnitTest.class);

        suite.addTestSuite(InlineTextNodeDiscoveryTagUnitTest.class);
        suite.addTestSuite(HttpServletNodeDiscoveryTagUnitTest.class);

        suite.addTestSuite(AbstractNodeMatcherUnitTest.class);
        suite.addTestSuite(NodePairUnitTest.class);
        suite.addTestSuite(XmlPathDiscoveryUnitTest.class);
        suite.addTestSuite(DynamicPathDiscoveryUnitTest.class);

        suite.addTestSuite(HtmlAnchorNodeFormatterTagUnitTest.class);
        suite.addTestSuite(TemplateNodeFormatterTagUnitTest.class);

        suite.addTestSuite(RegexNodeMatcherUnitTest.class);

        return suite;
    }
}
